3 Replies Latest reply: Jan 20, 2013 9:38 AM by BDAqua
dsofos Level 1 Level 1 (0 points)

Hi, I recently upgraded my iMac to OS X Snow Leopard. Now Mail won't launch. The pop-up message says I can't use this version of Mail with this version of OS. I have Mail 3.6. How do I upgrade Mail?


iMac, Mac OS X (10.6.8)